<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
                      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
     <title>Karu pirukapood - kasutajahaldus</title>
     <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
     <script type="text/javascript">
         function korduskontroll(){
            if(document.getElementById("p1").value==
               document.getElementById("p2").value){return true;}
            else {
              alert("Paroolid ei kattu");
              document.getElementById("p1").focus();
              return false;
            }
         }
     </script>
  </head>
  <body>
     <?php
       if(isSet($_REQUEST["teade"])){
          echo "<div style='color: red'>".htmlspecialchars(stripslashes($_REQUEST[teade]))."</div>";
       }
     ?>
     <h1>Uue kasutaja loomine</h1>
     <form action="lisakasutaja.php" onSubmit="return korduskontroll();">
        <dl>
          <dt>Kasutajanimi:</dt>
          <dd><input type="text" name="kasutajanimi" /></dd>
          <dt>Parool:</dt>
          <dd><input type="password" name="parool" id="p1"/></dd>
          <dt>Parool uuesti:</dt>
          <dd><input type="password" name="kordusparool" id="p2"/></dd>
          <dd><input type="submit" value="sisesta" /></dd>
        </dl>
     </form>
     <h3>Olemasolevad kasutajad</h3>
     <form action="kustutakasutajad.php">
      <ul>
       <?php
          require("baasifunktsioonid.php");
          $kd=kysiKasutajad();
          foreach($kd as $k){
             echo "<li>
                <input type='checkbox' name='kustutus[]' value='$k[id]' />
                $k[kasutajanimi] <a href='muutmisvorm.php?id=$k[id]'>muuda</a>
                 </li>";
          }
       ?>
      </ul>
      <input type="submit" name="kustutusnupp" value="Kustuta" />
     </form>
  </body>
</html>